DROP TABLE IF EXISTS `drafts`;
CREATE TABLE `drafts` (
  `PageID` int(10) unsigned NOT NULL default '0',
  `PageTitle` varchar(255) NOT NULL default '',
  `PageKeywords` varchar(255) default NULL,
  `PageTemplateID` int(10) unsigned default NULL,
  `PageParentID` int(10) unsigned default NULL,
  `PageStartDate` datetime default NULL,
  `PageEndDate` datetime default NULL,
  `PageModifiedBy` int(10) unsigned NOT NULL default '0',
  `PageModifiedOn` datetime NOT NULL default '0000-00-00 00:00:00',
  `PageMenuOrder` int(11) NOT NULL default '99',
  `PageMenuTitle` varchar(255) NOT NULL default '',
  `PageBody` text,
  `PageRedirect` text,
  `PageMultiRoot` int(10) unsigned default NULL,
  `PageFileName` varchar(255) default NULL,
  PRIMARY KEY  (`PageID`)
) TYPE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `groups`;
CREATE TABLE `groups` (
  `GroupID` int(10) unsigned NOT NULL auto_increment,
  `GroupName` varchar(45) NOT NULL default '',
  `GroupDescription` text,
  `GroupIsAdmin` enum('Y','N') NOT NULL default 'N',
  PRIMARY KEY  (`GroupID`)
) TYPE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `imagefolders`;
CREATE TABLE `imagefolders` (
  `FolderID` int(10) unsigned NOT NULL auto_increment,
  `FolderParentID` int(10) unsigned default NULL,
  `FolderName` text NOT NULL,
  PRIMARY KEY  (`FolderID`)
) TYPE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `images`;
CREATE TABLE `images` (
  `ImageID` int(10) unsigned NOT NULL auto_increment,
  `ImageName` varchar(255) NOT NULL default '',
  `ImageCaption` text,
  `ImageAlt` text,
  `ImageFileName` text NOT NULL,
  `ImageThumbnailName` text NOT NULL,
  `ImageFolderID` int(10) unsigned default NULL,
  PRIMARY KEY  (`ImageID`)
) TYPE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `log`;
CREATE TABLE `log` (
  `LogID` int(10) unsigned NOT NULL auto_increment,
  `LogUserID` int(10) unsigned NOT NULL default '0',
  `LogUserName` varchar(45) NOT NULL default '',
  `LogMessage` text NOT NULL,
  `LogTimestamp` datetime NOT NULL default '0000-00-00 00:00:00',
  `LogPageURL` text NOT NULL,
  `LogIPAddress` varchar(15) NOT NULL default '',
  `LogType` varchar(45) NOT NULL default '',
  PRIMARY KEY  (`LogID`)
) TYPE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `pagegrouppermissions`;
CREATE TABLE `pagegrouppermissions` (
  `PageID` int(10) unsigned NOT NULL default '0',
  `GroupID` int(10) unsigned NOT NULL default '0',
  `Permissions` int(10) unsigned NOT NULL default '0'
) TYPE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `pages`;
CREATE TABLE `pages` (
  `PageID` int(10) unsigned NOT NULL auto_increment,
  `PageTitle` varchar(255) NOT NULL default '',
  `PageKeywords` varchar(255) default NULL,
  `PageTemplateID` int(10) unsigned default NULL,
  `PageParentID` int(10) unsigned default NULL,
  `PageStartDate` datetime default NULL,
  `PageEndDate` datetime default NULL,
  `PageModifiedBy` int(10) unsigned NOT NULL default '0',
  `PageModifiedOn` datetime NOT NULL default '0000-00-00 00:00:00',
  `PageMenuOrder` int(11) NOT NULL default '1',
  `PageMenuTitle` varchar(255) NOT NULL default '',
  `PageBody` text,
  `PageRedirect` text,
  `PageMultiRoot` int(10) unsigned default NULL,
  `PageCreatedBy` int(10) unsigned NOT NULL,
  `PageCreatedOn` datetime NOT NULL,
  `PageGuestView` TINYINT(1) NOT NULL DEFAULT '0',
  `PageFileName` varchar(255) DEFAULT NULL,
  PRIMARY KEY  (`PageID`)
) TYPE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `pageuserpermissions`;
CREATE TABLE `pageuserpermissions` (
  `PageID` int(10) unsigned NOT NULL default '0',
  `UserID` int(10) unsigned NOT NULL default '0',
  `Permissions` int(10) unsigned NOT NULL default '0'
) TYPE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `revisions`;
CREATE TABLE `revisions` (
  `RevisionID` int(10) unsigned NOT NULL auto_increment,
  `PageID` int(10) unsigned NOT NULL default '0',
  `PageTitle` varchar(255) NOT NULL default '',
  `PageKeywords` varchar(255) default NULL,
  `PageTemplateID` int(10) unsigned default NULL,
  `PageParentID` int(10) unsigned default NULL,
  `PageStartDate` datetime default NULL,
  `PageEndDate` datetime default NULL,
  `PageModifiedBy` int(10) unsigned NOT NULL default '0',
  `PageModifiedOn` datetime NOT NULL default '0000-00-00 00:00:00',
  `PageMenuOrder` int(11) NOT NULL default '1',
  `PageMenuTitle` varchar(255) NOT NULL default '',
  `PageBody` text,
  `PageRedirect` text,
  `PageMultiRoot` int(10) unsigned default NULL,
  `PageFileName` varchar(255) DEFAULT NULL,
  PRIMARY KEY  (`RevisionID`)
) TYPE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `templates`;
CREATE TABLE `templates` (
  `TemplateID` int(10) unsigned NOT NULL auto_increment,
  `TemplateFile` varchar(255) NOT NULL default '',
  `TemplateName` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`TemplateID`)
) TYPE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `UserID` int(10) unsigned NOT NULL auto_increment,
  `UserName` varchar(45) NOT NULL default '',
  `UserFullName` varchar(45) default NULL,
  `UserPhone` varchar(45) default NULL,
  `UserEmail` varchar(45) default NULL,
  `UserOffice` varchar(255) default NULL,
  `UserPassword` varchar(45) NOT NULL default '',
  `UserPermissions` int(10) unsigned NOT NULL default '1',
  `UserIsAdmin` enum('Y','N') NOT NULL default 'N',
  PRIMARY KEY  (`UserID`)
) TYPE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `usersgroupslink`;
CREATE TABLE `usersgroupslink` (
  `GroupID` int(10) unsigned NOT NULL default '0',
  `UserID` int(10) unsigned NOT NULL default '0'
) TYPE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `imagefolderuserpermissions`;
CREATE TABLE `imagefolderuserpermissions` (
	`FolderID` INTEGER UNSIGNED NOT NULL,
	`UserID` INTEGER UNSIGNED NOT NULL,
	`Permissions` INTEGER UNSIGNED NOT NULL
)
ENGINE = MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `imagefoldergrouppermissions`;
CREATE TABLE `imagefoldergrouppermissions` (
	`FolderID` INTEGER UNSIGNED NOT NULL,
	`GroupID` INTEGER UNSIGNED NOT NULL,
	`Permissions` INTEGER UNSIGNED NOT NULL
)
ENGINE = MyISAM DEFAULT CHARSET=utf8;
